Subject: Re: [PATCH 0/2] advice: add "all" option to disable all hints

From: Dragan Simic <[email-masked]>
Date: Wed, 24 Apr 2024 18:21:59 +0200

On 2024-04-24 18:14, Dragan Simic wrote:
> On 2024-04-24 16:07, Patrick Steinhardt wrote:
>> On Wed, Apr 24, 2024 at 02:52:39PM +0100, Phillip Wood wrote:
>>> On 24/04/2024 07:48, Patrick Steinhardt wrote:
>>> > On Tue, Apr 23, 2024 at 11:28:03PM -0700, Junio C Hamano wrote:
>>> > > Do not close that communication channel on us.
>>> >
>>> > While I agree that it might not be a good idea to set it for our users,
>>> > the usecase mentioned by this patch series is scripting. And here I very
>>> > much agree with the sentiment that it makes sense to give an easy knob
>>> > to disable all advice (disclosure: James is part of the Gitaly team at
>>> > GitLab, and that is where this feature comes from, so I am very much
>>> > biased).
>>> 
>>> Maybe an environment variable would be a better fit for turning 
>>> advice off
>>> in scripts?
>> 
>> Sure, an environment variable would work just fine for our purposes. 
>> It
>> would probably also address the concern that users may disable all
>> advice and then miss out on some information.
> 
> Sounds good to me.  I'd support the addition of a new environment
> variable for this purpose, perhaps GIT_NO_ADVICE or similar.

Actually, after reading Junio's comment, [1] I'd rather support
a new command-line option.  This is quite similar to disabling
the pager, so a new command-line option would IMHO fit rather well
into the grand scheme.

[1] https://lore.kernel.org/git/[email-masked]/